You can fetch the details of a single ticket.
Intercom API version.
By default, it's equal to the version set in the app package.
- The production API serverhttps://api.intercom.io/tickets/{id}
- The european API serverhttps://api.eu.intercom.io/tickets/{id}
- The australian API serverhttps://api.au.intercom.io/tickets/{id}
curl -i -X GET \
'https://api.intercom.io/tickets/{id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.13'Ticket found
The ID of the Ticket used in the Intercom Inbox and Messenger. Do not use ticket_id for API queries.
An object containing the different attributes associated to the ticket as key-value pairs. For the default title and description attributes, the keys are _default_title_ and _default_description_.
{ "_default_title_": "Found a bug", "_default_description_": "The button's not working" }
A ticket state, used to define the state of a ticket.
A ticket type, used to define the data fields to be captured in a ticket.
The list of contacts affected by a ticket.
The time the ticket was created as a UTC Unix timestamp.
The last time the ticket was updated as a UTC Unix timestamp.
The time the ticket will be snoozed until as a UTC Unix timestamp. If null, the ticket is not currently snoozed.
An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.
A list of Ticket Part objects for each note and event in the ticket. There is a limit of 500 parts.
{ "type": "ticket", "id": "631", "ticket_id": "38", "ticket_attributes": { "_default_title_": "attribute_value", "_default_description_": null }, "ticket_state": { "type": "ticket_state", "id": "8537", "category": "submitted", "internal_label": "Submitted", "external_label": "Submitted" }, "ticket_type": { "type": "ticket_type", "id": "95", "name": "my-ticket-type-30", "description": "my ticket type description is awesome.", "icon": "🦁", "workspace_id": "this_is_an_id702_that_should_be_at_least_", "archived": false, "created_at": 1734537973, "updated_at": 1734537973, "is_internal": false, "ticket_type_attributes": { … }, "category": "Back-office" }, "contacts": { "type": "contact.list", "contacts": [ … ] }, "admin_assignee_id": "0", "team_assignee_id": "0", "created_at": 1734537974, "updated_at": 1734537976, "ticket_parts": { "type": "ticket_part.list", "ticket_parts": [ … ], "total_count": 1 }, "open": true, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "category": "Back-office", "is_shared": false }